## golly 3.2

=== gui-web/Makefile ===
# Makefile for creating web app version of Golly using Emscripten.
# Type "emmake make" to build golly.html and golly.js.

SOURCES = main.cpp webcalls.cpp \
    ../gollybase/bigint.cpp \
    ../gollybase/generationsalgo.cpp \
    ../gollybase/ghashbase.cpp \
    ../gollybase/ghashdraw.cpp \
    ../gollybase/hlifealgo.cpp \
    ../gollybase/hlifedraw.cpp \
    ../gollybase/jvnalgo.cpp \
    ../gollybase/lifealgo.cpp \
    ../gollybase/lifepoll.cpp \
    ../gollybase/liferender.cpp \
    ../gollybase/liferules.cpp \
    ../gollybase/ltlalgo.cpp \
    ../gollybase/ltldraw.cpp \
    ../gollybase/qlifealgo.cpp \
    ../gollybase/qlifedraw.cpp \
    ../gollybase/readpattern.cpp \
    ../gollybase/ruleloaderalgo.cpp \
    ../gollybase/ruletable_algo.cpp \
    ../gollybase/ruletreealgo.cpp \
    ../gollybase/util.cpp \
    ../gollybase/viewport.cpp \
    ../gollybase/writepattern.cpp \
    ../gui-common/algos.cpp \
    ../gui-common/control.cpp \
    ../gui-common/file.cpp \
    ../gui-common/layer.cpp \
    ../gui-common/prefs.cpp \
    ../gui-common/render.cpp \
    ../gui-common/select.cpp \
    ../gui-common/status.cpp \
    ../gui-common/undo.cpp \
    ../gui-common/utils.cpp \
    ../gui-common/view.cpp \
    ../gui-common/MiniZip/ioapi.c \
    ../gui-common/MiniZip/unzip.c \
    ../gui-common/MiniZip/zip.c \
    zlib/adler32.c \
    zlib/compress.c \
    zlib/crc32.c \
    zlib/deflate.c \
    zlib/gzclose.c \
    zlib/gzlib.c \
    zlib/gzread.c \
    zlib/gzwrite.c \
    zlib/infback.c \
    zlib/inffast.c \
    zlib/inflate.c \
    zlib/inftrees.c \
    zlib/trees.c \
    zlib/uncompr.c \
    zlib/zutil.c

OBJECTS = main.o webcalls.o \
    ../gollybase/bigint.o \
    ../gollybase/generationsalgo.o \
    ../gollybase/ghashbase.o \
    ../gollybase/ghashdraw.o \
    ../gollybase/hlifealgo.o \
    ../gollybase/hlifedraw.o \
    ../gollybase/jvnalgo.o \
    ../gollybase/lifealgo.o \
    ../gollybase/lifepoll.o \
    ../gollybase/liferender.o \
    ../gollybase/liferules.o \
    ../gollybase/ltlalgo.o \
    ../gollybase/ltldraw.o \
    ../gollybase/qlifealgo.o \
    ../gollybase/qlifedraw.o \
    ../gollybase/readpattern.o \
    ../gollybase/ruleloaderalgo.o \
    ../gollybase/ruletable_algo.o \
    ../gollybase/ruletreealgo.o \
    ../gollybase/util.o \
    ../gollybase/viewport.o \
    ../gollybase/writepattern.o \
    ../gui-common/algos.o \
    ../gui-common/control.o \
    ../gui-common/file.o \
    ../gui-common/layer.o \
    ../gui-common/prefs.o \
    ../gui-common/render.o \
    ../gui-common/select.o \
    ../gui-common/status.o \
    ../gui-common/undo.o \
    ../gui-common/utils.o \
    ../gui-common/view.o \
    ../gui-common/MiniZip/ioapi.o \
    ../gui-common/MiniZip/unzip.o \
    ../gui-common/MiniZip/zip.o \
    zlib/adler32.o \
    zlib/compress.o \
    zlib/crc32.o \
    zlib/deflate.o \
    zlib/gzclose.o \
    zlib/gzlib.o \
    zlib/gzread.o \
    zlib/gzwrite.o \
    zlib/infback.o \
    zlib/inffast.o \
    zlib/inflate.o \
    zlib/inftrees.o \
    zlib/trees.o \
    zlib/uncompr.o \
    zlib/zutil.o

CFLAGS = -Izlib -Wall -Wextra -Wno-unused-parameter -Wno-implicit-function-declaration -O2

CXXFLAGS = -Izlib -I. -I../gollybase -I../gui-common -I../gui-common/MiniZip \
    -DVERSION=3.2 -DZLIB -DWEB_GUI -Wall -Wextra -Wno-unused-parameter -O2

# NOTE 1: -O2 results in a much smaller golly.js and no .map file
# NOTE 2: replace -O2 with the following settings to catch errors:
# -s ASSERTIONS=2 -s SAFE_HEAP=1

TARGET = golly.html

all: $(TARGET)

$(TARGET): $(OBJECTS) jslib.js shell.html
	$(CXX) $(CXXFLAGS) --js-library jslib.js --shell-file shell.html \
    --preload-file ../Patterns@/Patterns \
    --preload-file ../Rules@/Rules \
    --preload-file Help \
    --preload-file ../gui-common/Help/intro.html@/Help/intro.html \
    --preload-file ../gui-common/Help/tips.html@/Help/tips.html \
    --preload-file ../gui-common/Help/archives.html@/Help/archives.html \
    --preload-file ../gui-common/Help/refs.html@/Help/refs.html \
    --preload-file ../gui-common/Help/formats.html@/Help/formats.html \
    --preload-file ../gui-common/Help/bounded.html@/Help/bounded.html \
    --preload-file ../gui-common/Help/credits.html@/Help/credits.html \
    --preload-file ../gui-common/Help/algos.html@/Help/algos.html \
    --preload-file ../gui-common/Help/Algorithms@/Help/Algorithms \
    --preload-file ../gui-common/Help/Lexicon@/Help/Lexicon \
    -s TOTAL_MEMORY=320*1024*1024 \
    -s EXPORTED_FUNCTIONS="[ '_ClearStatus', '_NewUniverse', '_ResizeCanvas', \
    '_SetViewport', '_StartStop', '_Next', '_Step', '_GoSlower', '_GoFaster', '_StepBy1', \
    '_Undo', '_Redo', '_Fit', '_ZoomOut', '_ZoomIn', '_Scale1to1', '_Reset', \
    '_ToggleIcons', '_ModeChanged', '_StateChanged', '_DoMenuItem', '_UpdateMenuItems', \
    '_Paste', '_PasteAction', '_SelectionAction', '_OpenClickedFile', '_OpenClipboard', \
    '_ToggleAutoFit', '_OverCanvas', '_OnKeyChanged', '_OnMouseWheel', '_Info', '_CloseInfo', \
    '_Help', '_DoHelpClick', '_HelpBack', '_HelpNext', '_HelpContents', '_CloseHelp', \
    '_FileCreated', '_CancelProgress', '_CancelOpen', '_SaveFile', '_CancelSave', \
    '_StorePrefs', '_CancelPrefs', '_SaveLocalPrefs', '_FullScreen', '_ExitFullScreen', \
    '_UnsavedChanges' ]" \
    -o $@ $(LDFLAGS) $(OBJECTS)

# better to use -s ALLOW_MEMORY_GROWTH=1 instead of setting TOTAL_MEMORY???
# (note that newer versions of Emscripten require TOTAL_MEMORY to be multiple of 16MB)

clean:
	$(RM) $(OBJECTS) $(TARGET) golly.js golly.data

depend:
	@$(CXX) $(CXXFLAGS) -MM $(SOURCES)

# type "emmake make depend" to generate these dependencies:

main.o: main.cpp ../gollybase/bigint.h ../gollybase/lifealgo.h \
  ../gollybase/viewport.h ../gollybase/liferender.h \
  ../gollybase/lifepoll.h ../gollybase/readpattern.h \
  ../gollybase/platform.h ../gollybase/qlifealgo.h \
  ../gollybase/liferules.h ../gollybase/hlifealgo.h \
  ../gollybase/generationsalgo.h ../gollybase/ghashbase.h \
  ../gollybase/ltlalgo.h ../gollybase/jvnalgo.h \
  ../gollybase/ruleloaderalgo.h ../gollybase/ruletable_algo.h \
  ../gollybase/ruletreealgo.h ../gui-common/algos.h \
  ../gui-common/utils.h ../gui-common/prefs.h ../gui-common/layer.h \
  ../gui-common/select.h ../gui-common/control.h ../gui-common/file.h \
  ../gollybase/writepattern.h ../gui-common/view.h \
  ../gui-common/status.h ../gui-common/undo.h ../gui-common/render.h \
  webcalls.h
webcalls.o: webcalls.cpp ../gollybase/util.h ../gui-common/utils.h \
  ../gui-common/algos.h ../gollybase/lifealgo.h ../gollybase/bigint.h \
  ../gollybase/viewport.h ../gollybase/liferender.h \
  ../gollybase/lifepoll.h ../gollybase/readpattern.h \
  ../gollybase/platform.h ../gui-common/prefs.h ../gui-common/layer.h \
  ../gui-common/select.h ../gui-common/control.h ../gui-common/file.h \
  ../gollybase/writepattern.h ../gui-common/view.h \
  ../gui-common/status.h ../gui-common/undo.h webcalls.h
bigint.o: ../gollybase/bigint.cpp ../gollybase/bigint.h \
  ../gollybase/util.h
generationsalgo.o: ../gollybase/generationsalgo.cpp \
  ../gollybase/generationsalgo.h ../gollybase/ghashbase.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h
ghashbase.o: ../gollybase/ghashbase.cpp ../gollybase/ghashbase.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h ../gollybase/util.h
ghashdraw.o: ../gollybase/ghashdraw.cpp ../gollybase/ghashbase.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h ../gollybase/util.h
hlifealgo.o: ../gollybase/hlifealgo.cpp ../gollybase/hlifealgo.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h ../gollybase/util.h
hlifedraw.o: ../gollybase/hlifedraw.cpp ../gollybase/hlifealgo.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h
jvnalgo.o: ../gollybase/jvnalgo.cpp ../gollybase/jvnalgo.h \
  ../gollybase/ghashbase.h ../gollybase/lifealgo.h ../gollybase/bigint.h \
  ../gollybase/viewport.h ../gollybase/liferender.h \
  ../gollybase/lifepoll.h ../gollybase/readpattern.h \
  ../gollybase/platform.h ../gollybase/liferules.h
lifealgo.o: ../gollybase/lifealgo.cpp ../gollybase/lifealgo.h \
  ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h ../gollybase/util.h
lifepoll.o: ../gollybase/lifepoll.cpp ../gollybase/lifepoll.h \
  ../gollybase/util.h
liferender.o: ../gollybase/liferender.cpp ../gollybase/liferender.h
liferules.o: ../gollybase/liferules.cpp ../gollybase/liferules.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h ../gollybase/util.h
ltlalgo.o: ../gollybase/ltlalgo.cpp ../gollybase/ltlalgo.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h ../gollybase/util.h
ltldraw.o: ../gollybase/ltldraw.cpp ../gollybase/ltlalgo.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h ../gollybase/util.h
qlifealgo.o: ../gollybase/qlifealgo.cpp ../gollybase/qlifealgo.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h ../gollybase/util.h
qlifedraw.o: ../gollybase/qlifedraw.cpp ../gollybase/qlifealgo.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h ../gollybase/util.h
readpattern.o: ../gollybase/readpattern.cpp ../gollybase/readpattern.h \
  ../gollybase/bigint.h ../gollybase/lifealgo.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/platform.h ../gollybase/liferules.h ../gollybase/util.h \
  zlib/zlib.h zlib/zconf.h
ruleloaderalgo.o: ../gollybase/ruleloaderalgo.cpp \
  ../gollybase/ruleloaderalgo.h ../gollybase/ghashbase.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h ../gollybase/ruletable_algo.h \
  ../gollybase/ruletreealgo.h ../gollybase/util.h
ruletable_algo.o: ../gollybase/ruletable_algo.cpp \
  ../gollybase/ruletable_algo.h ../gollybase/ghashbase.h \
  ../gollybase/lifealgo.h ../gollybase/bigint.h ../gollybase/viewport.h \
  ../gollybase/liferender.h ../gollybase/lifepoll.h \
  ../gollybase/readpattern.h ../gollybase/platform.h \
  ../gollybase/liferules.h ../gollybase/util.h
ruletreealgo.o: ../gollybase/ruletreealgo.cpp ../gollybase/ruletreealgo.h \
  ../gollybase/ghashbase.h ../gollybase/lifealgo.h ../gollybase/bigint.h \
  ../gollybase/viewport.h ../gollybase/liferender.h \
  ../gollybase/lifepoll.h ../gollybase/readpattern.h \

=== debian/changelog ===
golly (3.2-2) unstable; urgency=medium

  * debian/control (Build-Depends): Revert back to python2.7 and python-dev.
  (Depends): Revert.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 13:35:24 +0900

golly (3.2-1) unstable; urgency=medium

  * New upstream (Closes: #901401).  Thanks to Boyuan Yang.
  * debian/control (Standards-Version): Conforms to 4.2.1.
  (Build-Depends): Modify to python3 and python3-dev.
  (Depends): Change to ${python3:Depends}.
  * debian/menu: Remove.
  * debian/rules: Use --with python3.
  * debian/patches/0002-dont-include-tilda-files.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 11:18:36 +0900

=== debian/control ===
Source: golly
Section: games
Priority: optional
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Conflicts: libwxgtk2.6-dev
Build-Depends: debhelper (>= 10), libwxgtk3.0-dev, python-dev, python2.7, perl, libperl-dev, zlib1g-dev, dh-python, dh-lua
Standards-Version: 4.2.1
Homepage: http://golly.sourceforge.net/

Package: golly
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Game of Life simulator using hashlife algorithm
 Golly simulates Conway's Game of Life with an arbitrarily large grid
 of cells.  It can optionally use a hashlife algorithm, which allows
 it to rapidly compute generations for huge patterns, and to compute
 many generations into the future at a time.
 .
 Golly provides a graphical interface for viewing and editing cellular
 automata.  It supports copy and paste, zoom, auto-fit, multiple
 layers, and viewing different areas of a pattern simultaneously in
 different areas of a window.
 .
 Golly can load patterns from RLE, Life 1.05/1.06, dblife, and
 macrocell file formats; it can also interpret images as Life
 patterns.  Golly provides integrated help, including a copy of the
 Life Lexicon.
 .
 Golly also supports other rules for 2D cellular automata with an
 8-cell neighborhood, and supports 1D cellular automata.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TRIPLET=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
PERL_SHLIB=$(shell ls -l /usr/lib/$(TRIPLET)/libperl.so | sed 's/^.* -> \(.*\)$$/\1/')
export DH_OPTIONS

%:
	dh $@ --with python3,lua --builddirectory=build \
	      --sourcedirectory=gui-wx/configure

override_dh_auto_configure:
	dh_auto_configure -O--builddirectory=build \
	   -O--sourcedirectory=gui-wx/configure -- \
	   --with-perl-shlib=$(PERL_SHLIB)

override_dh_auto_install:
	dh_auto_install -O--builddirectory=build \
	   -O--sourcedirectory=gui-wx/configure
        # we have license information in /usr/share/doc/golly/copyright already
        # rm -f $(CURDIR)/debian/golly/usr/share/doc/golly/License.html
        # golly should be in /usr/games, we should have icon and menu
	mkdir -p $(CURDIR)/debian/golly/usr/games \
	         $(CURDIR)/debian/golly/usr/share/pixmaps \
		 $(CURDIR)/debian/golly/usr/share/applications
	mv $(CURDIR)/debian/golly/usr/bin/golly $(CURDIR)/debian/golly/usr/games/golly
	install -m 444 gui-wx/icons/appicon.xpm  $(CURDIR)/debian/golly/usr/share/pixmaps/golly.xpm
	install -m 444 debian/golly.desktop $(CURDIR)/debian/golly/usr/share/applications
        # Fix installation
	chmod +x $(CURDIR)/debian/golly/usr/share/golly/Help/Lexicon/modify.pl

## golly 3.3

=== gui-web/Makefile ===
--- 
+++ 
@@ -110,7 +110,7 @@
 CFLAGS = -Izlib -Wall -Wextra -Wno-unused-parameter -Wno-implicit-function-declaration -O2
 
 CXXFLAGS = -Izlib -I. -I../gollybase -I../gui-common -I../gui-common/MiniZip \
-    -DVERSION=3.2 -DZLIB -DWEB_GUI -Wall -Wextra -Wno-unused-parameter -O2
+    -DVERSION=3.3 -DZLIB -DWEB_GUI -Wall -Wextra -Wno-unused-parameter -O2
 
 # NOTE 1: -O2 results in a much smaller golly.js and no .map file
 # NOTE 2: replace -O2 with the following settings to catch errors:

=== lua/Makefile ===
# A simplified Makefile for building the Lua library on Mac OS X or Linux.

LUA_LIB = liblua.a
CC = cc

PLATFORM = $(shell uname)
ifeq "$(PLATFORM)" "Darwin"
CFLAGS = -O2 -Wall -Wextra -DLUA_COMPAT_5_2 -DLUA_USE_MACOSX -arch x86_64

# determine Mac OS X version (eg. 6 for Snow Leopard, 11 for El Capitan)
OS_VERSION = $(shell sw_vers -productVersion | cut -f 2 -d '.')
osx_ge = $(shell if [ $(OS_VERSION) -ge $(1) ] ; then echo "$(2)"; else echo "$(3)"; fi ;)

CFLAGS += $(call osx_ge,9,"-mmacosx-version-min=10.9","")
else
CFLAGS = -O2 -Wall -Wextra -DLUA_COMPAT_5_2 -DLUA_USE_LINUX
endif

OBJ_FILES = lapi.o lcode.o lctype.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o \
 lmem.o lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o \
 ltm.o lundump.o lvm.o lzio.o \
 lauxlib.o lbaselib.o lbitlib.o lcorolib.o ldblib.o liolib.o \
 lmathlib.o loslib.o lstrlib.o ltablib.o lutf8lib.o loadlib.o linit.o

all: $(LUA_LIB)

$(LUA_LIB): $(OBJ_FILES)
	ar rcu $@ $(OBJ_FILES)
	ranlib $@

clean:
	rm -f $(LUA_LIB) $(OBJ_FILES)

depend:
	@$(CC) $(CFLAGS) -MM l*.c

lapi.o: lapi.c lprefix.h lua.h luaconf.h lapi.h llimits.h lstate.h \
 lobject.h ltm.h lzio.h lmem.h ldebug.h ldo.h lfunc.h lgc.h lstring.h \
 ltable.h lundump.h lvm.h
lauxlib.o: lauxlib.c lprefix.h lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lbitlib.o: lbitlib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lprefix.h lua.h luaconf.h lcode.h llex.h lobject.h \
 llimits.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h \
 ldo.h lgc.h lstring.h ltable.h lvm.h
lcorolib.o: lcorolib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lctype.o: lctype.c lprefix.h lctype.h lua.h luaconf.h llimits.h
ldblib.o: ldblib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lprefix.h lua.h luaconf.h lapi.h llimits.h lstate.h \
 lobject.h ltm.h lzio.h lmem.h lcode.h llex.h lopcodes.h lparser.h \
 ldebug.h ldo.h lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lprefix.h lua.h luaconf.h lapi.h llimits.h lstate.h \
 lobject.h ltm.h lzio.h lmem.h ldebug.h ldo.h lfunc.h lgc.h lopcodes.h \
 lparser.h lstring.h ltable.h lundump.h lvm.h
ldump.o: ldump.c lprefix.h lua.h luaconf.h lobject.h llimits.h lstate.h \
 ltm.h lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lprefix.h lua.h luaconf.h lfunc.h lobject.h llimits.h \
 lgc.h lstate.h ltm.h lzio.h lmem.h
lgc.o: lgc.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lprefix.h lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lprefix.h lua.h luaconf.h lctype.h llimits.h ldebug.h \
 lstate.h lobject.h ltm.h lzio.h lmem.h ldo.h lgc.h llex.h lparser.h \
 lstring.h ltable.h
lmathlib.o: lmathlib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lgc.h
loadlib.o: loadlib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lobject.o: lobject.c lprefix.h lua.h luaconf.h lctype.h llimits.h \
 ldebug.h lstate.h lobject.h ltm.h lzio.h lmem.h ldo.h lstring.h lgc.h \
 lvm.h
lopcodes.o: lopcodes.c lprefix.h lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lprefix.h lua.h luaconf.h lcode.h llex.h lobject.h \
 llimits.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h \
 ldo.h lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lprefix.h lua.h luaconf.h lapi.h llimits.h lstate.h \
 lobject.h ltm.h lzio.h lmem.h ldebug.h ldo.h lfunc.h lgc.h llex.h \
 lstring.h ltable.h
lstring.o: lstring.c lprefix.h lua.h luaconf.h ldebug.h lstate.h \
 lobject.h llimits.h ltm.h lzio.h lmem.h ldo.h lstring.h lgc.h
lstrlib.o: lstrlib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lgc.h lstring.h ltable.h lvm.h
ltablib.o: ltablib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lstring.h lgc.h ltable.h lvm.h
lundump.o: lundump.c lprefix.h lua.h luaconf.h ldebug.h lstate.h \
 lobject.h llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h \
 lundump.h
lutf8lib.o: lutf8lib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lvm.o: lvm.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h \
 ltable.h lvm.h
lzio.o: lzio.c lprefix.h lua.h luaconf.h llimits.h lmem.h lstate.h \
 lobject.h ltm.h lzio.h

=== gui-android/Golly/app/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.1)

file(GLOB golly_SRC
    "../../../gui-common/*.cpp"
    "../../../gui-common/MiniZip/*.c"
    "../../../gollybase/*.cpp"
)

add_library(golly SHARED
    src/main/jni/jnicalls.cpp
    ${golly_SRC})

include_directories(src/main/jni/)
include_directories(../../../gui-common)
include_directories(../../../gui-common/MiniZip)
include_directories(../../../gollybase)

find_library(GLESv1_CM-lib GLESv1_CM )

find_library(log-lib log )

find_library(z-lib z )

find_library(jnigraphics-lib jnigraphics )

target_link_libraries(golly ${GLESv1_CM-lib} )

target_link_libraries(golly ${log-lib} )

target_link_libraries(golly ${z-lib} )

target_link_libraries(golly ${jnigraphics-lib} )

=== debian/changelog ===
golly (3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to use wxwidgets3.2 (Closes: #1019810)
  * Drop patch 0005-wxwidgets-inmature-yet.patch which is no longer required.

 -- Olly Betts <olly@survex.com>  Sat, 26 Nov 2022 08:12:59 +1300

golly (3.3-1) unstable; urgency=medium

  * New upstream.
  * debian/control (Standards-Version): Conforms to 4.4.1.
  (Build-Depends): Use debhelper-compat.  Remove Python support.
  (Depends): Remove ${python:Depends}.
  * debian/compat: Remove.
  * debian/patches/0001-Build-Add-libs.patch: Update.
  * debian/patches/0002-dont-include-tilda-files.patch: Update.
  * debian/patches/0004-support-wxwidegts-with-gtk3.patch: Remove,
  it's now in upstream.
  * debian/patches/0005-wxwidgets-inmature-yet.patch: Update.
  Python2 support removal (Closes: #936635).
  * debian/patches/0006-python2-support-removal.patch: New.
  * debian/rules: Remove --with python2.
  * debian/control (Build-Depends): Remove Python support.
  (Depends): Remove ${python:Depends}.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 02 Dec 2019 09:40:25 +0900

golly (3.2-4) unstable; urgency=medium

  * debian/patches/0004-support-wxwidegts-with-gtk3.patch: New.
  * debian/patches/0005-wxwidgets-inmature-yet.patch: New.
  * debian/patches/0003-automake-subdir-obj.patch: Don't apply.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 15 Aug 2019 10:40:18 +0900

golly (3.2-3) unstable; urgency=medium

  * debian/control (Standards-Version): Conforms to 4.4.0.
  (Build-Depends): Modify to libwxgtk3.0-gtk3-dev (Closes: #933447).
  * debian/patches/0003-automake-subdir-obj.patch: New.
  * debian/rules: Use --with python2, instead of python.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 15 Aug 2019 09:22:48 +0900

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
-Build-Conflicts: libwxgtk2.6-dev
-Build-Depends: debhelper (>= 10), libwxgtk3.0-dev, python-dev, python2.7, perl, libperl-dev, zlib1g-dev, dh-python, dh-lua
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), libwxgtk3.2-dev, perl, libperl-dev, zlib1g-dev, dh-lua
+Standards-Version: 4.4.1
 Homepage: http://golly.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/debian/golly.git
+Vcs-Browser: https://salsa.debian.org/debian/golly
 
 Package: golly
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Game of Life simulator using hashlife algorithm
  Golly simulates Conway's Game of Life with an arbitrarily large grid
  of cells.  It can optionally use a hashlife algorithm, which allows

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@ --with python3,lua --builddirectory=build \
+	dh $@ --with lua --builddirectory=build \
 	      --sourcedirectory=gui-wx/configure
 
 override_dh_auto_configure:
